## optimir 1.0

=== debian/changelog ===
optimir (1.0-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Sun, 06 Dec 2020 17:04:02 +0100

optimir (1.0-2) unstable; urgency=medium

  * Correct arch from any to all.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 08 Apr 2019 08:11:05 +0200

optimir (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #926259)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 02 Apr 2019 20:14:26 +0200

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=optimir

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installman:
	dh_installman debian/optimir.1

## optimir 1.1

=== requirements.txt ===
biopython
pysam

=== debian/changelog ===
optimir (1.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Nilesh Patra ]
  * New upstream version 1.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:17:11 +0530

=== debian/control ===
Source: optimir
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/optimir
Vcs-Git: https://salsa.debian.org/med-team/optimir.git
Homepage: https://github.com/FlorianThibord/OptimiR
Rules-Requires-Root: no

Package: optimir
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         python3-pysam,
         python3-biopython,
         bowtie2,
         cutadapt,
         samtools
Recommends: r-cran-gridextra,
            r-cran-ggplot2
Description: Integrating genetic variations in miRNA alignment
 OptimiR is a miRSeq data alignment workflow. It integrates genetic information
 to assess the impact of variants on miRNA expression.
 .
 OptimiR: A bioinformatics pipeline designed to detect and quantify miRNAs,
 isomiRs and polymiRs from miRSeq data, & study the impact of genetic
 variations on polymiRs' expression.

## optimir 1.2

=== debian/changelog ===
optimir (1.2-2) unstable; urgency=medium

  * Team upload.
  * Fix SyntaxWarning (Closes: #1085756)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 15:16:30 +0200

optimir (1.2-1) unstable; urgency=medium

  * New upstream version
  * Drop patch applied upstream

 -- Dylan Aïssi <daissi@debian.org>  Fri, 18 Mar 2022 15:43:54 +0100

optimir (1.1-2) unstable; urgency=medium

  * Team upload.
  * Use default name for autopkgtest and install it into docs
  * Fix sequence of options in bowtie2 call
    Closes: #1006657
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 10 Mar 2022 09:14:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/optimir
 Vcs-Git: https://salsa.debian.org/med-team/optimir.git
 Homepage: https://github.com/FlorianThibord/OptimiR

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=optimir

%:
	dh $@ --buildsystem=pybuild

override_dh_installman:
	dh_installman debian/optimir.1

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/OptimiR-$1\.tar\.gz/ \
  https://github.com/FlorianThibord/OptimiR/tags .*/v?(\d\S+)\.tar\.gz
